Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TestEventListener Class Referenceabstract

`#include <gtest.h>`

Inheritance diagram for TestEventListener:

## Public Member Functions
virtual | ~TestEventListener ()
virtual void | OnTestProgramStart (const UnitTest &unit_test)=0
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)=0
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &unit_test)=0
virtual void | OnTestCaseStart (const TestCase &test_case)=0
virtual void | OnTestStart (const TestInfo &test_info)=0
virtual void | OnTestPartResult (const TestPartResult &test_part_result)=0
virtual void | OnTestEnd (const TestInfo &test_info)=0
virtual void | OnTestCaseEnd (const TestCase &test_case)=0
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &unit_test)=0
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)=0
virtual void | OnTestProgramEnd (const UnitTest &unit_test)=0
virtual | ~TestEventListener ()
virtual void | OnTestProgramStart (const UnitTest &unit_test)=0
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)=0
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &unit_test)=0
virtual void | OnTestCaseStart (const TestCase &test_case)=0
virtual void | OnTestStart (const TestInfo &test_info)=0
virtual void | OnTestPartResult (const TestPartResult &test_part_result)=0
virtual void | OnTestEnd (const TestInfo &test_info)=0
virtual void | OnTestCaseEnd (const TestCase &test_case)=0
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &unit_test)=0
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)=0
virtual void | OnTestProgramEnd (const UnitTest &unit_test)=0
virtual | ~TestEventListener ()
virtual void | OnTestProgramStart (const UnitTest &unit_test)=0
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)=0
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &unit_test)=0
virtual void | OnTestCaseStart (const TestCase &test_case)=0
virtual void | OnTestStart (const TestInfo &test_info)=0
virtual void | OnTestPartResult (const TestPartResult &test_part_result)=0
virtual void | OnTestEnd (const TestInfo &test_info)=0
virtual void | OnTestCaseEnd (const TestCase &test_case)=0
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)=0
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &unit_test)=0
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)=0
virtual void | OnTestProgramEnd (const UnitTest &unit_test)=0

## Constructor & Destructor Documentation

virtual ~TestEventListener | ( |  | ) |
| inline virtual

virtual ~TestEventListener | ( |  | ) |
| inline virtual

virtual ~TestEventListener | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, XmlUnitTestResultPrinter, TestEventRepeater, PrettyUnitTestResultPrinter, XmlUnitTestResultPrinter, XmlUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, XmlUnitTestResultPrinter, TestEventRepeater, PrettyUnitTestResultPrinter, XmlUnitTestResultPrinter, XmlUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, XmlUnitTestResultPrinter, TestEventRepeater, PrettyUnitTestResultPrinter, XmlUnitTestResultPrinter, XmlUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestPartResult | ( | const TestPartResult & | test_part_result | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestPartResult | ( | const TestPartResult & | test_part_result | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestPartResult | ( | const TestPartResult & | test_part_result | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestProgramEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestProgramEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestProgramEnd | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestProgramStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestProgramStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestProgramStart | ( | const UnitTest & | unit_test | ) |
| pure virtual

Implemented in EmptyTestEventListener, SequenceTestingListener, TestListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| pure virtual

Implemented in EmptyTestEventListener, TestEventRepeater, PrettyUnitTestResultPrinter, TestEventRepeater, TestEventRepeater, PrettyUnitTestResultPrinter, PrettyUnitTestResultPrinter, EmptyTestEventListener, EmptyTestEventListener, and EventRecordingListener.

The documentation for this class was generated from the following file:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h